#version 330 core
out vec4 FragColor;

//in vec3 ourColor;
//in vec2 TexCoord;
in float ypos;

//uniform sampler2D texture1;

void main()
{
	//colorSample = mix(texture(texture1, TexCoord), texture(texture2, TexCoord), 0.2);
   vec3 color1 = vec3(1.0,0.92,0.61);
   vec3 color2 = vec3(1.0,0.36,0.23);
   //vec3 color1 = vec3(1,0,0); // //bottom
   //vec3 color2 = vec3(0,1,0); // top
   
   float methodA=ypos;
   float methodB=(ypos*0.5f)+0.5f;
   float methodC=1.0f-abs(ypos);
   float methodD=(methodA*2);
   float methodE=(methodA*2)-1;
   
	vec3 ourColor = vec3(mix(color1,color2,methodB));
   FragColor = vec4(ourColor, 1.0f);
};
